"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioButtons = void 0;
const react_1 = __importStar(require("react"));
const utilities_1 = require("../utilities");
const RadioButtons = ({ selectedIndexChanged, defSelectedIndex, description = "", groupName, labels, uiFunction = utilities_1.UiFunction.Info }) => {
    const [selectedIndex, setSelectedIndex] = (0, react_1.useState)(defSelectedIndex);
    const handleChange = (i) => {
        console.log('clicked: ' + groupName);
        setSelectedIndex(i);
        if (selectedIndexChanged)
            selectedIndexChanged(i);
    };
    return (react_1.default.createElement("div", { className: "btn-group", role: "group", "aria-label": description }, labels.map((l, index) => {
        const id = 'radioButton' + groupName + index;
        return (react_1.default.createElement(react_1.default.Fragment, { key: l },
            react_1.default.createElement("input", { onChange: () => { handleChange(index); }, type: "radio", className: "btn-check", name: groupName, id: id, autoComplete: "off", checked: index === selectedIndex }),
            react_1.default.createElement("label", { className: "btn btn-outline-" + uiFunction, htmlFor: id }, l)));
    })));
};
exports.RadioButtons = RadioButtons;
//# sourceMappingURL=radioButtons.js.map