"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Carousel = exports.ItemStyle = void 0;
const react_1 = __importStar(require("react"));
exports.ItemStyle = {
    height: '100%',
    left: 0,
    objectFit: 'cover',
    position: 'absolute',
    top: 0,
    width: '100%',
};
const Carousel = ({ aspectRatio = '25%', children, duration = 5000 }) => {
    const [currentIndex, setIndex] = (0, react_1.useState)(0);
    const kids = children;
    const containerStyle = {
        paddingBottom: aspectRatio,
        position: "relative",
    };
    (0, react_1.useEffect)(() => {
        const inter = setInterval(() => {
            setIndex(state => (state + 1) % kids?.length);
        }, duration);
        return function cleanUp() { window.clearInterval(inter); };
    }, []);
    return (react_1.default.createElement("div", { style: containerStyle }, kids?.map((child, index) => {
        return (react_1.default.createElement("div", { key: index, style: { transition: 'opacity 3.0s', opacity: (index === currentIndex) ? 1 : 0 } }, child));
    })));
};
exports.Carousel = Carousel;
//# sourceMappingURL=carousel.js.map