"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HorizontalScroll = void 0;
const react_1 = __importDefault(require("react"));
const HorizontalScroll = ({ children, spacing = '8px', style, ...rest }) => {
    const finalStyle = {
        ...style, display: "flex", overflowX: "auto", maxWidth: "100%", gap: spacing, padding: spacing
    };
    return (react_1.default.createElement("div", { style: finalStyle, ...rest }, children));
};
exports.HorizontalScroll = HorizontalScroll;
//# sourceMappingURL=horizontalScroll.js.map