"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Placeholder = void 0;
const react_1 = __importStar(require("react"));
const web_1 = require("@react-spring/web");
const Placeholder = ({ children, isVisible = true }) => {
    const phStyle = {
        cursor: 'wait',
    };
    const [flip, set] = (0, react_1.useState)(false);
    const styles = (0, web_1.useSpring)({
        to: { opacity: .9 },
        from: { opacity: .2 },
        reset: true,
        reverse: flip,
        delay: 0,
        config: web_1.config.molasses,
        onRest: () => set(!flip),
        ...phStyle
    });
    if (isVisible === true) {
        return react_1.default.createElement(web_1.animated.div, { style: styles }, children);
    }
    return null;
};
exports.Placeholder = Placeholder;
//# sourceMappingURL=placeholder.js.map