import { ComponentPropsWithoutRef } from 'react';
interface ISvg extends ComponentPropsWithoutRef<'svg'> {
}
export declare const BookmarkCheckFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const CameraVideo: ({ ...rest }: ISvg) => JSX.Element;
export declare const CameraVideoSlash: ({ ...rest }: ISvg) => JSX.Element;
export declare const CameraVideoFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const CameraVideoFillSlash: ({ ...rest }: ISvg) => JSX.Element;
export declare const CaretDownFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const Eye: ({ ...rest }: ISvg) => JSX.Element;
export declare const EyeFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const Film: ({ ...rest }: ISvg) => JSX.Element;
export declare const Image: ({ ...rest }: ISvg) => JSX.Element;
export declare const List: ({ ...rest }: ISvg) => JSX.Element;
export declare const MagnifyingGlass: ({ ...rest }: ISvg) => JSX.Element;
export declare const PersonCircle: ({ ...rest }: ISvg) => JSX.Element;
export declare const PersonSquare: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbDown: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbDownFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbUp: ({ ...rest }: ISvg) => JSX.Element;
export declare const ThumbUpFill: ({ ...rest }: ISvg) => JSX.Element;
export declare const XSquare: ({ ...rest }: ISvg) => JSX.Element;
export declare enum KnownIcon {
    BookmarkCheckFill = 0,
    CameraVideo = 1,
    CameraVideoSlash = 2,
    CameraVideoFill = 3,
    CameraVideoFillSlash = 4,
    CaretDownFill = 5,
    Eye = 6,
    EyeFill = 7,
    Film = 8,
    Image = 9,
    List = 10,
    MagnifyingGlass = 11,
    PersonCircle = 12,
    PersonSquare = 13,
    ThumbDown = 14,
    ThumbDownFill = 15,
    ThumbUp = 16,
    ThumbUpFill = 17,
    XSquare = 18
}
interface IIcon extends ComponentPropsWithoutRef<'svg'> {
    knownIcon: KnownIcon;
}
export declare const Icon: ({ knownIcon, ...rest }: IIcon) => JSX.Element;
export {};
